function outp = edr01(alpha,mu,ghat,rootnratio,twosided,ttest,df,p0,muprime) ;
cdfp = cdfp01(alpha,rootnratio*mu,twosided,ttest,df) ;
edr = (cdfp*ghat)*(mu(2)-mu(1)) ;
A = 1-alpha ;

TN = (A.*p0) ./ (A.*p0 + (1-p0)*(1-edr)) ;
TP = (1-p0)*edr ./ (alpha.*p0 +(1-p0)*edr) ;

ind = (mu > muprime) ;
eidr = cdfp*(ghat.*ind) / sum(ghat.*ind) ;

outp = struct('edr',edr,'TN',TN,'TP',TP,'eidr',eidr)